## com.vividsolutions.jts.triangulate.quadedge
Class EdgeConnectedTriangleTraversal

    java.lang.Object
      com.vividsolutions.jts.triangulate.quadedge.EdgeConnectedTriangleTraversal

public class EdgeConnectedTriangleTraversal
extends java.lang.Object

A framework to visit sets of edge-connected `QuadEdgeTriangle`s in breadth-first order

Version:
  1.0
Author:
  Martin Davis

Constructor Summary
`EdgeConnectedTriangleTraversal()`

Method Summary
`void` `init(java.util.Collection tris)` Called to initialize the traversal queue with a given set of `QuadEdgeTriangle`s
`void` `init(QuadEdgeTriangle tri)`
`void` `visitAll(TraversalVisitor visitor)` Subclasses call this method to perform the visiting process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeConnectedTriangleTraversal

    public EdgeConnectedTriangleTraversal()

Method Detail

### init

    public void init(QuadEdgeTriangle tri)

### init

    public void init(java.util.Collection tris)

  Called to initialize the traversal queue with a given set of `QuadEdgeTriangle`s

  Parameters:
    `tris` - a collection of QuadEdgeTriangle

### visitAll

    public void visitAll(TraversalVisitor visitor)

  Subclasses call this method to perform the visiting process.